require("prototypes.entity.accumulator")
require("prototypes.item.accumulator")
require("prototypes.recipe.accumulator")
require("prototypes.update.ks-power")

data.raw["item"]["coal"].fuel_value = "3.5MJ"
data.raw["item"]["raw-wood"].fuel_value = "3MJ"
data.raw["item"]["wood"].fuel_value = "1.5MJ"
data.raw["item"]["wooden-chest"].fuel_value = "3MJ"
data.raw["item"]["small-electric-pole"].fuel_value = "3MJ"
data.raw["item"]["solid-fuel"].fuel_value = "16MJ"
data.raw["item"]["rocket-fuel"].fuel_value = "144MJ"

data.raw["solar-panel"]["solar-panel"].production = "6kW"
data.raw["item"]["solar-panel"].stack_size = 200
data.raw.recipe["solar-panel"].ingredients = {{"steel-plate", 2}, {"electronic-circuit", 5}, {"copper-plate", 5}}

data.raw.recipe["steam-engine"].ingredients =
    {
      {"iron-gear-wheel", 20},
      {"pipe", 20},
      {"iron-plate", 40}
    }

data.raw["accumulator"]["accumulator"].energy_source.input_flow_limit = "15kW"
data.raw["accumulator"]["accumulator"].energy_source.output_flow_limit = "15kW"
data.raw["accumulator"]["accumulator"].energy_source.buffer_capacity = "9MJ"
data.raw["item"]["accumulator"].stack_size = 100

data.raw.recipe["accumulator"].ingredients = {{"iron-plate", 10}, {"battery", 10}}
data.raw.recipe["accumulator"].energy_required = 30

data.raw["technology"]["electric-energy-accumulators-1"].effects = {{type = "unlock-recipe", recipe = "accumulator"}, {type = "unlock-recipe", recipe = "accumulator-capacitor"}}

data.raw["electric-turret"]["laser-turret"].energy_source.drain = "48kW"
data.raw["electric-turret"]["laser-turret"].attack_parameters.ammo_type.energy_consumption = "3.2MJ"

data.raw["furnace"]["stone-furnace"].energy_usage = "180kW"
data.raw["furnace"]["steel-furnace"].energy_usage = "360kW"
data.raw["furnace"]["electric-furnace"].energy_usage = "180kW"