if data.raw["electric-energy-interface"]["wind-turbine-2"] then

data.raw["electric-energy-interface"]["wind-turbine-2"].energy_source.output_flow_limit = "35kW"

data.raw.recipe["wind-turbine-2"].energy_required = 2
data.raw.recipe["wind-turbine-2"].ingredients =
    {
      {"iron-plate", 20},
      {"iron-gear-wheel", 4},
      {"copper-cable", 8},
      {"iron-stick", 4}
    }


end



if data.raw["generator"]["burner-generator-power"] then
data.raw["generator"]["burner-generator-power"].effectivity = 4			-- base 4
end

if data.raw["generator"]["petroleum-generator"] then
data.raw["generator"]["petroleum-generator"].effectivity = 100			-- base 100
end

if data.raw.recipe["diesel-fuel"] then
data.raw.recipe["diesel-fuel"].ingredients =
    {
      {type="fluid", name="petroleum-gas", amount=2},				-- base 2 gas / 2 oil
      {type="fluid", name="light-oil", amount=2}
    }

end


if data.raw.recipe["burn-crude-oil"] then
data.raw.recipe["burn-crude-oil"].ingredients =
    {
        {type="fluid", name="water", amount=60},
        {type="fluid", name="crude-oil", amount=1},				-- base 1
    }
end


if data.raw.recipe["burn-heavy-oil"] then
data.raw.recipe["burn-heavy-oil"].ingredients =
    {
        {type="fluid", name="water", amount=60},
        {type="fluid", name="heavy-oil", amount=1},				-- base 1
    }
end


if data.raw.recipe["burn-light-oil"] then
data.raw.recipe["burn-light-oil"].ingredients =
    {
        {type="fluid", name="water", amount=60},
        {type="fluid", name="light-oil", amount=0.5},				-- base 0.5
    }
end